| Home | Libraries | People | FAQ | More

## Function template make_histogram_with

boost::histogram::make_histogram_with — Make histogram from compile-time axis configuration and custom storage.

## Synopsis

    // In header: <boost/histogram/make_histogram.hpp>

    template<typename Storage, typename Axis, class... Axes>
      auto make_histogram_with(Storage && storage, Axis && axis, Axes &&... axes);

## Description

Parameters:

`axes` | Other axis instances.
`axis` | First axis instance.
`storage` | Storage or container with standard interface (any vector, array, or map).